'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Higher order header-renderer that wrap the provided header renderer.
 */
function getHeaderRenderer(WrappedComponent, hideHeader) {
	function HeaderRenderer(props) {
		var label = props.label;


		var classnames = (0, _classnames2.default)('ReactVirtualized__Table__headerTruncatedText', 'sr-only');

		return _react2.default.createElement(
			'span',
			{
				className: classnames,
				key: 'label',
				title: label
			},
			label
		);
	}

	HeaderRenderer.propTypes = _extends({}, WrappedComponent.propTypes, {
		hideHeader: _react.PropTypes.bool
	});
	HeaderRenderer.displayName = 'HeaderRenderer(' + WrappedComponent.displayName + ')';

	if (!hideHeader) {
		return WrappedComponent;
	}
	return HeaderRenderer;
}

exports.default = getHeaderRenderer;