'use strict';

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _enzyme = require('enzyme');

var _enzymeToJson = require('enzyme-to-json');

var _enzymeToJson2 = _interopRequireDefault(_enzymeToJson);

var _HeaderRenderer = require('./HeaderRenderer.component');

var _HeaderRenderer2 = _interopRequireDefault(_HeaderRenderer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function DefaultHeaderRenderer(props) {
	return _react2.default.createElement(
		'div',
		null,
		props.label
	);
}

DefaultHeaderRenderer.propTypes = _react.PropTypes.string;

describe('getHeaderRenderer', function () {
	it('should render the default header renderer if the header is not hidden', function () {
		var HeaderRenderer = (0, _HeaderRenderer2.default)(DefaultHeaderRenderer, false);
		var wrapper = (0, _enzyme.shallow)(_react2.default.createElement(HeaderRenderer, { label: 'Title' }));

		expect((0, _enzymeToJson2.default)(wrapper)).toMatchSnapshot();
	});

	it('should render the custom header renderer if the header is hidden', function () {
		var HeaderRenderer = (0, _HeaderRenderer2.default)(DefaultHeaderRenderer, true);
		var wrapper = (0, _enzyme.shallow)(_react2.default.createElement(HeaderRenderer, { label: 'Title' }));

		expect((0, _enzymeToJson2.default)(wrapper)).toMatchSnapshot();
	});
});